slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPCISSSetThreshold

Sets the values of various threshold parameters in the CISS solver.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPCISSSetThreshold(NEP nep,PetscReal delta,PetscReal spur)

Logically Collective

### Input Parameters

| nep | - the nonlinear eigensolver context
| delta | - threshold for numerical rank
| spur | - spurious threshold (to discard spurious eigenpairs)

### Options Database Keys

| -nep_ciss_delta | - Sets the delta
| -nep_ciss_spurious_threshold | - Sets the spurious threshold

### See Also

NEPCISSGetThreshold()

### Level

advanced

### Location

src/nep/impls/ciss/nciss.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages